datablock AudioProfile(scoutSniperFireSound)
{
   filename    = "./Sounds/scout_fire.wav";
   description = AudioClose3d;
   preload = true;
};

datablock AudioProfile(scoutBulletWhizzSound)
{
   filename    = "./Sounds/whizz.wav";
   description = AudioClose3d;
   preload = true;
};


%error = ForceRequiredAddOn("Weapon_Gun");

if(%error == $Error::AddOn_Disabled)
{
   GunItem.uiName = "";
}

if(%error == $Error::AddOn_NotFound)
{

   error("ERROR: Weapon_ScoutSniper - required add-on Weapon_Gun not found");
}
else
{
   exec("./Weapon_ScoutSniper.cs"); 
}

if(isFile("Add-Ons/Support_Hitbox/server.cs"))
{
	forceRequiredAddOn("Support_Hitbox");
}
else
{
	exec("./Support_Hitbox.cs");
}

exec("./Support_RaycastingWeapons.cs"); 